Installation Error

Install and configure FormaLMS and DoceboCE
Post Reply
pravinu
Newbie
Posts: 2
Joined: Fri Jan 03, 2020 9:11 am
Version: forma.lms 2.0

Installation Error

Post by pravinu » Fri Jan 03, 2020 9:15 am

I am using php 7.2 and on Step 2 I see next step button disabled, please check the attached screenshot.
Screen Shot 2020-01-03 at 1.43.51 PM.png

alfa24
FormaLms Master
Posts: 540
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Installation Error

Post by alfa24 » Fri Jan 03, 2020 9:25 am

Forma needs PHP < 7.1, better if < 7.0.11
I'm Jasmines, the One. If you need, you can contact me.

pravinu
Newbie
Posts: 2
Joined: Fri Jan 03, 2020 9:11 am
Version: forma.lms 2.0

Re: Installation Error

Post by pravinu » Fri Jan 03, 2020 9:38 am

Ohh I have existing server with other softwares installed, any other way or workaround?

alfa24
FormaLms Master
Posts: 540
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Installation Error

Post by alfa24 » Fri Jan 03, 2020 9:45 am

You could try to bypass the control (can't say how many things in Forma will stop working, as my versions are deeply changed and now compatibles with 7.3).
To do this, find the following in /install/controllers/Step2Controller.php:

$res['php']=((version_compare(PHP_VERSION, '5.2.0', '>=') && version_compare(PHP_VERSION, '7.0.11', '<')) ? 'ok' :
((version_compare(PHP_VERSION, '7.0.11', '>=') && version_compare(PHP_VERSION, '7.1.0', '<')) ? 'warn' : 'err' ));

and change it to:

$res['php']='ok';
I'm Jasmines, the One. If you need, you can contact me.

User avatar
hakangur
Newbie
Posts: 17
Joined: Sat Jul 21, 2018 1:27 pm
Version: forma.lms 2.0

Re: Installation Error

Post by hakangur » Sun Jan 12, 2020 3:01 pm

We managed this by adding the following line into the .htaccess file:

AddHandler application/x-httpd-php56 .php

I do not know if it will work under all PHP installations.

By the way, once FormaLMS is installed, switching back to PHP 7+ is possible.

Post Reply